Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class TestManifestX

    java.lang.Object
      com.hp.hpl.jena.vocabulary.TestManifestX

    public class TestManifestX

extends java.lang.Object

Vocabulary definitions from test-manifest-x.n3

Author:
  Auto-generated by schemagen on 09 Jan 2007 14:03

Field Summary
`static Property` | `dataSyntax` Syntax of the query
`static Property` | `defaultTestType` Default type of a test
`static Property` | `include` Include another manifest file.
`static Resource` | `NAMESPACE` The namespace of the vocabulary as a resource
`static java.lang.String` | `NS` The namespace of the vocabulary as a string
`static Property` | `querySyntax` Syntax of the query
`static Resource` | `TestBadSyntax` Syntax tests which expect a parse failure
`static Resource` | `TestQuery` The class of test that are Query tests (query, data, results)
`static Resource` | `TestSerialization` Query serialization tests
`static Resource` | `TestSurpressed` Query test not to be run
`static Resource` | `TestSyntax` Syntax tests (query)
`static Property` | `textIndex` Whether to create a text index

Constructor Summary
`TestManifestX()`

Method Summary
`static java.lang.String` | `getURI()` The namespace of the vocabulary as a string

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

  The namespace of the vocabulary as a string

  See Also:
    Constant Field Values

### NAMESPACE

    public static final Resource NAMESPACE

  The namespace of the vocabulary as a resource

### defaultTestType

    public static final Property defaultTestType

  Default type of a test

### include

    public static final Property include

  Include another manifest file.

### textIndex

    public static final Property textIndex

  Whether to create a text index

### dataSyntax

    public static final Property dataSyntax

  Syntax of the query

### querySyntax

    public static final Property querySyntax

  Syntax of the query

### TestSurpressed

    public static final Resource TestSurpressed

  Query test not to be run

### TestSerialization

    public static final Resource TestSerialization

  Query serialization tests

### TestBadSyntax

    public static final Resource TestBadSyntax

  Syntax tests which expect a parse failure

### TestSyntax

    public static final Resource TestSyntax

  Syntax tests (query)

### TestQuery

    public static final Resource TestQuery

  The class of test that are Query tests (query, data, results)

Constructor Detail

### TestManifestX

    public TestManifestX()

Method Detail

### getURI

    public static java.lang.String getURI()

  The namespace of the vocabulary as a string

  See Also:
    `NS`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP